import request from '../../utils/request'

export function outpatientRegistration(data) {
  return request({
    url: '/siMz/outpatientRegistration',
    method: 'post',
    data,
  })
}

export function revokeOutpatientRegistration(data) {
  return request({
    url: '/siMz/revokeOutpatientRegistration',
    method: 'post',
    data,
  })
}

export function getMzReceipts(data) {
  return request({
    url: '/siMz/getMzReceipts',
    method: 'post',
    data,
  })
}

export function getHistoryMzReceipts(patNo, start, end) {
  return request({
    url: '/siMz/getHistoryMzReceipts',
    method: 'get',
    params: { patNo, start, end },
  })
}

export function getHistoryReceiptDetail(data) {
  return request({
    url: '/siMz/getHistoryReceiptDetail',
    method: 'post',
    data,
  })
}

export function insertSiMzFees(data) {
  return request({
    url: '/siMz/insertSiMzFees',
    method: 'post',
    data,
  })
}

export function insertSiMzFeesForSupplement(data) {
  return request({
    url: '/siMz/insertSiMzFeesForSupplement',
    method: 'post',
    data,
  })
}

export function deleteMzReceipt(data) {
  return request({
    url: '/siMz/deleteMzReceipt',
    method: 'post',
    data,
  })
}

export function deleteAllMzReceipts(data) {
  return request({
    url: '/siMz/deleteAllMzReceipts',
    method: 'post',
    data,
  })
}

export function uploadOutpatientFeeDetails(data) {
  return request({
    url: '/siMz/uploadOutpatientFeeDetails',
    method: 'post',
    data,
  })
}

export function revokeOutpatientFeeDetails(data) {
  return request({
    url: '/siMz/revokeOutpatientFeeDetails',
    method: 'post',
    data,
  })
}

export function outpatientPreSettlement(data) {
  return request({
    url: '/siMz/outpatientPreSettlement',
    method: 'post',
    data,
  })
}

export function outpatientSettlement(data) {
  return request({
    url: '/siMz/outpatientSettlement',
    method: 'post',
    data,
  })
}

export function revokeOutpatientSettlement(data) {
  return request({
    url: '/siMz/revokeOutpatientSettlement',
    method: 'post',
    data,
  })
}

export function saveSiMzDiags(data) {
  return request({
    url: '/siMz/saveSiMzDiags',
    method: 'post',
    data,
  })
}
